bool Class Reference

## Public Member Functions

| bool (const bool &b)
| bool (const long &b)
| bool (const int &b)
| bool (const short &b)
| bool (const char &b)
| bool (const unsigned long &b)
| bool (const unsigned int &b)
| bool (const unsigned short &b)
| bool (const unsigned char &b)
bool & | operator= (const bool &b)
bool & | operator= (const long &b)
bool & | operator= (const int &b)
bool & | operator= (const short &b)
bool & | operator= (const char &b)
bool & | operator= (const unsigned long &b)
bool & | operator= (const unsigned int &b)
bool & | operator= (const unsigned short &b)
bool & | operator= (const unsigned char &b)
| operator long () const
int | operator! ()
int | operator== (const bool &b)
int | operator!= (const bool &b)